	fn_diversity_by_time_window <-function(dat,time_windows,fn_diversity_by_time_window_dir,systime){
	divs<-setNames(lapply(1:length(dat),function(i){
	  
	#divergence by time window
	sub_div<-sapply(time_windows,function(y){
    
	  if(is.null(names(dat[[i]]$mrca_dat))) tab<-rep(NA,8)
	  else{
		#sequences in time window
		w<-c(1,which(dat[[i]]$mrca_dat$year>y[1] & dat[[i]]$mrca_dat$year<=y[2]))
		
		if(length(w)<5) tab<-rep(NA,8)
		else{
		
		#time window MRCA divergence
		dist_mat<-dat[[i]]$mrca_dist[w,w]
		mrca_div<-dist_mat[,grep('anc_chars',colnames(dist_mat))]
		mrca_med<-median(mrca_div[-1])
		mrca_iqrs<-quantile(mrca_div[-1])[c(2,4)]
		
		#time window pairwise diversity
		pd<-apply(dist_mat[,-1],2,median)
		pd_med<-median(pd)
		pd_minmax<-range(pd)		
		pd_iqrs<-quantile(pd)[c(2,4)]

		tab<-c(mrca_med,mrca_iqrs,pd_med,pd_minmax,pd_iqrs)
		}
		}
		tab
		})
	colnames(sub_div)<-sapply('T',paste0,1:length(time_windows))
	rownames(sub_div)<-c('med_div','q1_div','q3_div','med_pd','min_pd','max_pd','q1_pd','q3_pd')
	data.frame(sub_div)
	}),names(dat))
	
	#PLOT
	
	#set subtype/CRF colors
	subtype_cols<-setNames(viridis::turbo(25),c('01_AE','01B','01BC','02_AG','02A','02A1','07_BC','08_BC','107','11_cpx','35_A1D','63_02A6','A1','A1C','A1CD','A1D','A6','B','BC','BF1','C','D','F1','G','O'))
	set_cols<-subtype_cols[which(names(subtype_cols)%in%names(divs))]
	
	#set time-window symbols
	pch_div<-c(0,1,2,5,6)[1:length(time_windows)]
	pch_pd<-c(22,21,24,23,25)[1:length(time_windows)]
	
	#set x,y limits
	jumps<-sapply(divs,ncol)
	xlim<-sum(sapply(divs,ncol))+length(dat)
	ys<-unlist(sapply(divs,function(k) k['max_pd',]))
	infs<-which(is.infinite(ys))
	if(length(infs)>0) ys[infs]<-NA
	ylim<-max(ys,na.rm=T)
	
	par(mar=c(5,5,1,5),xpd=T)
	plot(1,1,pch=NA,xlim=c(0,xlim),ylim=c(0,ylim),ann=F,axes=F)
		axis(2,las=2,mgp=c(3,0.5,0))
		#axis(1,at=seq(2,xlim,(length(time_windows)+1)),labels=names(divs))
		axis(1,at=seq(2,xlim,(length(time_windows)+1)),labels=names(divs),cex.axis=0.75)
		mtext('subtypes',1,2)
		mtext('Divergence/Diversity',2,2.2)
	sequ1<-seq(1,xlim,(length(time_windows)+1))	
	sequ2<-seq(length(time_windows),xlim,(length(time_windows)+1))
	plot_divs<-sapply(seq_along(sequ1),function(p){
		points(sequ1[p]:sequ2[p],
		divs[[p]]['med_div',],pch=pch_div,col=set_cols[p],cex=2)
		points(sequ1[p]:sequ2[p],
		divs[[p]]['med_pd',],pch=pch_pd,bg=set_cols[p],cex=2)
		arrows(sequ1[p]:sequ2[p],as.numeric(divs[[p]]['min_pd',]),
			sequ1[p]:sequ2[p],as.numeric(divs[[p]]['max_pd',]),
			length=0.05,angle=90,code=3,lty=2,
			col=set_cols[p])
		arrows(sequ1[p]:sequ2[p],as.numeric(divs[[p]]['q1_pd',]),
			sequ1[p]:sequ2[p],as.numeric(divs[[p]]['q3_pd',]),
			length=0.05,angle=90,code=3,
			col=set_cols[p])	
		})	
  
	legend('topright',inset=0.02,
	       sapply(time_windows,function(q) paste0(q[1],'-',q[2])),
	       pch=pch_div,bty='n')
	
  	if (length(divs)>1) {
    	imagefile<-paste0(fn_diversity_by_time_window_dir,'/div_by_time_window_',systime,'.tiff')
    	agg_tiff(file = imagefile,width=4*length(divs),height=10,units="in",res=300)
    	dev.set(which = 2)
    	dev.copy(which = 4)
    	dev.off()
  	} else{
  	  imagefile<-paste0(fn_diversity_by_time_window_dir,'/div_by_time_window_',systime,'.tiff')
  	  agg_tiff(file = imagefile,width=8,height=10,units="in",res=300)
  	  dev.set(which = 2)
  	  dev.copy(which = 4)
  	  dev.off()
  	}
	
	c()->divs_tab
	for(a in 1:length(divs)){
		rownames(divs[[a]])<-paste0(names(divs)[a],'.',rownames(divs[[a]]))
		divs_tab<-rbind(divs_tab,divs[[a]])
	}
	
	return(divs_tab=divs_tab)	
	}	
	
	