
	fn_diversity_by_time_window_phylo<-function(dat,name,time_windows,fn_diversity_by_time_window_phylo_dir,systime){
	
	#divergence by time window
	sub_div<-setNames(lapply(time_windows,function(y){
		
		#sequences in time window
		w<-c(1,which(dat$mrca_dat$year>y[1] & dat$mrca_dat$year<=y[2]))
		
		if(length(w)<5) tab<-rep(NA,8)
		else{
		
		#time window MRCA divergence
		dist_mat<-dat$mrca_dist[w,w]
		mrca_div<-dist_mat[-1,grep('anc_chars',colnames(dist_mat))]
		tree<-keep.tip(dat$tree,names(mrca_div))
		is_tip<-tree$edge[,2] <= length(tree$tip.label)
		match_tip<-tree$tip.label[tree$edge[is_tip, 2]]
		mrca_div_tips<-mrca_div[match(match_tip,names(mrca_div))]
		
		#time window pairwise diversity
		pd<-apply(dist_mat,2,median)
		pd_tips<-pd[match(match_tip,names(pd))]
		
		div_tab<-cbind(mrca_div_tips,pd_tips)
		colnames(div_tab)<-c('MRCA_divergence','Pairwise_diversity')
		
		res<-list(tr=tree,div_tab=div_tab)
		}
	}),sapply('T',paste0,1:length(time_windows)))
	
	rem_window<-which(lengths(sub_div)>3)
	if(length(rem_window)>0){
	time_windows<-time_windows[-rem_window]
	sub_div<-sub_div[-rem_window]
	}
	
	#set subtype/CRF colors
	subtype_cols<-setNames(viridis::turbo(25),c('01_AE','01B','01BC','02_AG','02A','02A1','07_BC','08_BC','107','11_cpx','35_A1D','63_02A6','A1','A1C','A1CD','A1D','A6','B','BC','BF1','C','D','F1','G','O'))
	set_col<-subtype_cols[which(names(subtype_cols)==name)]
	
	#set time-window symbols
	pch_div<-c(0,1,2,5,6)[1:length(time_windows)]
	pch_pd<-c(22,21,24,23,25)[1:length(time_windows)]
	par(mfcol=c(length(time_windows),2),mar=c(3,2,2,1), xpd=TRUE)
	
	#tree panel
	plot_trees<-sapply(seq_along(time_windows),function(b){
	plot(sub_div[[b]]$tr,show.tip.label=F,edge.width=0.5,
	main=paste0(time_windows[[b]][1],'-',time_windows[[b]][2]))	
	add.scale.bar()
	})
		
	#scatterplot panel
	ylim2<-max(sapply(1:length(time_windows),function(m) 
	max(sub_div[[m]]$div_tab[,'Pairwise_diversity'])))
	plot_tree_divs<-sapply(seq_along(sub_div),function(b){
		plot(sub_div[[b]]$div_tab[,'MRCA_divergence'],
		1:length(sub_div[[b]]$div_tab[,'MRCA_divergence']),
		col=set_col,
		pch=pch_div[b],ann=F,axes=F,xlim=c(0,ylim2))
		points(sub_div[[b]]$div_tab[,'Pairwise_diversity'],
		1:length(sub_div[[b]]$div_tab[,'Pairwise_diversity']),
		bg=set_col,
		pch=pch_pd[b])
		})
		axis(1,mgp=c(3,0.5,0))
		mtext('Divergence/Diversity',1,2)
	
		imagefile<-paste0(fn_diversity_by_time_window_phylo_dir,'/sub_div_phylo_',systime,'.tiff')
		agg_tiff(file = imagefile,width=4,height=4,units="in",res=300)
		dev.set(which = 2)
		dev.copy(which = 4)
		dev.off()
		
	return(subtype_diversity=sub_div)
	}
