fn_plot_sequences_over_time<-function(sub_by_years_m,subs,fn_sequences_over_time_dir,systime){
	
 	# #set colors
  subtype_cols<-setNames(viridis::turbo(25),c('01_AE','01B','01BC','02_AG','02A','02A1','07_BC','08_BC','107','11_cpx','35_A1D','63_02A6','A1','A1C','A1CD','A1D','A6','B','BC','BF1','C','D','F1','G','O'))
  set_cols<-subtype_cols[which(names(subtype_cols)%in%subs)]
 	
 	#plot stacked barplot of sequences by sampling year
 	barplot(sub_by_years_m,col=set_cols,border=NA,mgp=c(3,0.5,0),las=2)
 	mtext('Sequences',2,2.2)
 	if(length(subs)>10) leg.cex=0.5 else leg.cex=1
 	legend('topleft', subs,col=set_cols,lwd=2,bty='n',cex=leg.cex)
 	
 	imagefile<-paste0(fn_sequences_over_time_dir,'/seq_over_time_hist_',systime,'.tiff')

 	agg_tiff(file = imagefile,width=8,height=10,units="in",res=300)
 	dev.set(which = 2)
 	dev.copy(which = 4)
 	dev.off()
 	
	}